Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class BaseInputXTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
                      com.ejie.r01f.taglibs.xtags.BaseInputXTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HiddenTag, PasswordTag, TextAreaTag, TextTag

public abstract class BaseInputXTag
extends BaseXTagWithEvents

Clase abstracta que sirve como base a los tags de tipo input que se incluyen dentro de un formulario HTML. Extiende de BaseXTag en donde se definen todos los eventos, atributos de estilo, etc comunes a todos los xTags.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseInputXTag()`

Method Summary
`int` | `doAfterBody()` A este metodo llama el motor JSP para procesar el cuerpo del tag
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getCols()` Devuelve las columnas que ocupa el input si este es de tipo textarea
`java.lang.String` | `getMaxlength()` Devuelve el tamaño máximo admisible para el input
`java.lang.String` | `getRows()` Devuelve el numero de filas que ocupa el input si este es de tipo textarea
`java.lang.String` | `getSize()` Devuelve el tamaño del input
`java.lang.String` | `getValue()` Devuelve el valor del input o textarea
`void` | `release()` Release any acquired resources.
`void` | `setCols(java.lang.String cols)` Establece las columnas que ocupa el input si este es de tipo textarea
`void` | `setMaxlength(java.lang.String maxlength)` Establece el tamaño máximo admisible para el input
`void` | `setRows(java.lang.String rows)` Establece el numero de filas que ocupa el input si este es de tipo textarea
`void` | `setSize(java.lang.String size)` Establece el tamaño
`void` | `setValue(java.lang.String value)` Establece el valor del input o textarea

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getTabindex, getTitle, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### BaseInputXTag

    public BaseInputXTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTagWithEvents`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  A este metodo llama el motor JSP para procesar el cuerpo del tag

  Returns:
    EVAL_BODY_AGAIN si hay que evaluar el cuerpo de nuevo, en otro caso, devolver SKIP_BODY.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getCols

    public java.lang.String getCols()

  Devuelve las columnas que ocupa el input si este es de tipo textarea

  Returns:
    Las columnas

### setCols

    public void setCols(java.lang.String cols)

  Establece las columnas que ocupa el input si este es de tipo textarea

### getRows

    public java.lang.String getRows()

  Devuelve el numero de filas que ocupa el input si este es de tipo textarea

  Returns:
    Las filas

### setRows

    public void setRows(java.lang.String rows)

  Establece el numero de filas que ocupa el input si este es de tipo textarea

### getSize

    public java.lang.String getSize()

  Devuelve el tamaño del input

  Returns:
    El tamaño

### setSize

    public void setSize(java.lang.String size)

  Establece el tamaño

### getMaxlength

    public java.lang.String getMaxlength()

  Devuelve el tamaño máximo admisible para el input

  Returns:
    El tamaño máximo

### setMaxlength

    public void setMaxlength(java.lang.String maxlength)

  Establece el tamaño máximo admisible para el input

### getValue

    public java.lang.String getValue()

  Devuelve el valor del input o textarea

  Returns:
    El valor del input o textarea

### setValue

    public void setValue(java.lang.String value)

  Establece el valor del input o textarea

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD